Page MenuHomePhabricator

Error messages for API modules that will not work with federated properties MVP
Open, Needs TriagePublic8 Estimated Story Points

Description

We've identified a need for error messaging for the following API modules when trying to interact with properties.
The error message should be consistent across all of endpoints and should say something like "You can not interact with properties using this API while federated properties is enabled"

Get API modules that can interact with properties

Edit API modules that interact with properties :

Initial Estimation

  • For the errors that appear for APIs that must not work with federated properties (API modules that interact with properties): 8

Event Timeline

Addshore updated the task description. (Show Details)Aug 14 2020, 9:56 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptAug 14 2020, 11:14 AM
Addshore removed Addshore as the assignee of this task.Aug 14 2020, 11:15 AM
Addshore added a subscriber: Addshore.

Change 620326 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: Create claim should not allow altering properties

https://gerrit.wikimedia.org/r/620326

toan updated the task description. (Show Details)Aug 14 2020, 12:39 PM
toan removed toan as the assignee of this task.Aug 14 2020, 12:46 PM
toan added a subscriber: toan.

Change 620325 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: Prepare api for invalidating editing properties

https://gerrit.wikimedia.org/r/620325

Change 620373 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: Modify/Edit-Entity should not allow altering properties

https://gerrit.wikimedia.org/r/620373

toan updated the task description. (Show Details)Aug 14 2020, 3:35 PM

Change 620374 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: RemoveClaims should not allow altering properties

https://gerrit.wikimedia.org/r/620374

toan updated the task description. (Show Details)Aug 17 2020, 7:35 AM

Change 620650 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: RemoveQualifiers should not allow altering properties

https://gerrit.wikimedia.org/r/620650

toan updated the task description. (Show Details)Aug 17 2020, 8:11 AM

Change 620686 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: RemoveReferences should not allow altering properties.

https://gerrit.wikimedia.org/r/620686

toan updated the task description. (Show Details)Aug 17 2020, 10:59 AM

Change 620687 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: SetReference should not allow altering properties

https://gerrit.wikimedia.org/r/620687

toan updated the task description. (Show Details)Aug 17 2020, 11:07 AM
toan updated the task description. (Show Details)Aug 17 2020, 11:15 AM

Change 620690 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: SetClaim should not allow altering properties.

https://gerrit.wikimedia.org/r/620690

toan updated the task description. (Show Details)Aug 17 2020, 11:31 AM

Change 620693 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: SetClaimValue should not allow altering properties.

https://gerrit.wikimedia.org/r/620693

toan updated the task description. (Show Details)Aug 17 2020, 11:57 AM

Change 620695 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: SetQualifier should not allow altering properties.

https://gerrit.wikimedia.org/r/620695

toan updated the task description. (Show Details)Aug 17 2020, 12:09 PM

Change 620697 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] FP: GetEntities should return an error when getting properties

https://gerrit.wikimedia.org/r/620697

toan updated the task description. (Show Details)Aug 17 2020, 12:28 PM

Change 620325 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Prepare api for invalidating editing properties

https://gerrit.wikimedia.org/r/620325

Change 620326 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Create claim should not allow altering properties

https://gerrit.wikimedia.org/r/620326

Change 620686 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: RemoveReferences should not allow altering properties.

https://gerrit.wikimedia.org/r/620686

Change 620687 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: SetReference should not allow altering properties

https://gerrit.wikimedia.org/r/620687

Change 620650 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: RemoveQualifiers should not allow altering properties

https://gerrit.wikimedia.org/r/620650

Change 620373 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Modify/Edit-Entity should not allow altering properties

https://gerrit.wikimedia.org/r/620373

Change 620697 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: GetEntities should return an error when getting properties

https://gerrit.wikimedia.org/r/620697

Change 620695 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: SetQualifier should not allow altering properties.

https://gerrit.wikimedia.org/r/620695

Change 620693 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: SetClaimValue should not allow altering properties.

https://gerrit.wikimedia.org/r/620693

Change 620690 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: SetClaim should not allow altering properties.

https://gerrit.wikimedia.org/r/620690

Rosalie_WMDE updated the task description. (Show Details)Aug 20 2020, 2:17 PM

Change 620374 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: RemoveClaims should not allow altering properties

https://gerrit.wikimedia.org/r/620374